Subject: Re: [EN] NNCP 8.6.0 release announcement

From: John Goerzen <[email-masked]>
Date: Wed, 02 Mar 2022 21:10:22 -0600

On Wed, Mar 02 2022, Sergey Matveev wrote:

> * I used bundle with the tape drive, that REALLY has to be able just to

I remember this about tape drives, yes :-)

> * we could just "remember" what ACKs we have to generate at the end of
>   the process, but... if the process is suddenly interrupted? We loose
>   that state and any knowledge of what was received and what we must ACK

Makes sense.

> which you will "down" when you insert your removable media to do
> xfering and acking:
>
>     $ svc -d services/nncp-toss
>     $ nncp-xfer ...
>     $ nncp-ack ...
>     $ svc -u services/nncp-toss

Of course, that could still work with -cycle as a service.  service
nncp-toss stop, service nncp-toss start, etc.

> If xfers will be capable to generated packets, then yes. But I am
> against that, for the reasons at top of that letter.

Understood.  Your state file idea would work for me too.

Thanks!

- John